This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 479030 - check_ntp_peer nagios plugin crashes
check_ntp_peer nagios plugin crashes
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: nagios-plugins (Show other bugs)
10
x86_64 Linux
low Severity urgent
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-06 11:28 EST by J Robinson
Modified: 2010-09-12 03:07 EDT (History)
8 users (show)

See Also:
Fixed In Version: nagios-plugins-1.4.14-2.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:31:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description J Robinson 2009-01-06 11:28:54 EST
Description of problem:

the nagios plugin "check_ntp_peer" crashes when run

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Run the command
  /usr/lib64/nagios/plugins/check_ntp_peer -H time-a.nist.gov -w 0.5 -c 1 -j -1:100 -k -1:200

2.

See crash
  
Actual results:

# /usr/lib64/nagios/plugins/check_ntp_peer -H time-a.nist.gov -w 0.5 -c 1 -j -1:100 -k -1:200
*** buffer overflow detected ***: /usr/lib64/nagios/plugins/check_ntp_peer terminated
======= Backtrace: =========
/lib64/libc.so.6(__fortify_fail+0x37)[0x3f48aff4c7]
/lib64/libc.so.6[0x3f48afd370]
/lib64/libc.so.6(__read_chk+0x28)[0x3f48afd8a8]
/usr/lib64/nagios/plugins/check_ntp_peer[0x402488]
/usr/lib64/nagios/plugins/check_ntp_peer[0x402f4e]
/lib64/libc.so.6(__libc_start_main+0xe6)[0x3f48a1e576]
/usr/lib64/nagios/plugins/check_ntp_peer[0x401549]
======= Memory map: ========
00400000-00409000 r-xp 00000000 08:01 1640581                            /usr/lib64/nagios/plugins/check_ntp_peer
00608000-00609000 rw-p 00008000 08:01 1640581                            /usr/lib64/nagios/plugins/check_ntp_peer
00609000-0062a000 rw-p 00609000 00:00 0                                  [heap]
3f48600000-3f48620000 r-xp 00000000 08:01 540722                         /lib64/ld-2.9.so
3f4881f000-3f48820000 r--p 0001f000 08:01 540722                         /lib64/ld-2.9.so
3f48820000-3f48821000 rw-p 00020000 08:01 540722                         /lib64/ld-2.9.so
3f48a00000-3f48b68000 r-xp 00000000 08:01 540810                         /lib64/libc-2.9.so
3f48b68000-3f48d68000 ---p 00168000 08:01 540810                         /lib64/libc-2.9.so
3f48d68000-3f48d6c000 r--p 00168000 08:01 540810                         /lib64/libc-2.9.so
3f48d6c000-3f48d6d000 rw-p 0016c000 08:01 540810                         /lib64/libc-2.9.so
3f48d6d000-3f48d72000 rw-p 3f48d6d000 00:00 0 
3f48e00000-3f48e84000 r-xp 00000000 08:01 540804                         /lib64/libm-2.9.so
3f48e84000-3f49083000 ---p 00084000 08:01 540804                         /lib64/libm-2.9.so
3f49083000-3f49084000 r--p 00083000 08:01 540804                         /lib64/libm-2.9.so
3f49084000-3f49085000 rw-p 00084000 08:01 540804                         /lib64/libm-2.9.so
3f49200000-3f49202000 r-xp 00000000 08:01 540811                         /lib64/libdl-2.9.so
3f49202000-3f49402000 ---p 00002000 08:01 540811                         /lib64/libdl-2.9.so
3f49402000-3f49403000 r--p 00002000 08:01 540811                         /lib64/libdl-2.9.so
3f49403000-3f49404000 rw-p 00003000 08:01 540811                         /lib64/libdl-2.9.so
3f4aa00000-3f4aa14000 r-xp 00000000 08:01 540820                         /lib64/libresolv-2.9.so
3f4aa14000-3f4ac14000 ---p 00014000 08:01 540820                         /lib64/libresolv-2.9.so
3f4ac14000-3f4ac15000 r--p 00014000 08:01 540820                         /lib64/libresolv-2.9.so
3f4ac15000-3f4ac16000 rw-p 00015000 08:01 540820                         /lib64/libresolv-2.9.so
3f4ac16000-3f4ac18000 rw-p 3f4ac16000 00:00 0 
3f4ae00000-3f4ae16000 r-xp 00000000 08:01 540831                         /lib64/libgcc_s-4.3.2-20081105.so.1
3f4ae16000-3f4b016000 ---p 00016000 08:01 540831                         /lib64/libgcc_s-4.3.2-20081105.so.1
3f4b016000-3f4b017000 rw-p 00016000 08:01 540831                         /lib64/libgcc_s-4.3.2-20081105.so.1
3f4c200000-3f4c216000 r-xp 00000000 08:01 540774                         /lib64/libnsl-2.9.so
3f4c216000-3f4c416000 ---p 00016000 08:01 540774                         /lib64/libnsl-2.9.so
3f4c416000-3f4c417000 r--p 00016000 08:01 540774                         /lib64/libnsl-2.9.so
3f4c417000-3f4c418000 rw-p 00017000 08:01 540774                         /lib64/libnsl-2.9.so
3f4c418000-3f4c41a000 rw-p 3f4c418000 00:00 0 
2b4c59e75000-2b4c59e79000 rw-p 2b4c59e75000 00:00 0 
2b4c59e79000-2b4c59e85000 r-xp 00000000 08:01 540778                     /lib64/libnss_files-2.9.so
2b4c59e85000-2b4c5a084000 ---p 0000c000 08:01 540778                     /lib64/libnss_files-2.9.so
2b4c5a084000-2b4c5a085000 r--p 0000b000 08:01 540778                     /lib64/libnss_files-2.9.so
2b4c5a085000-2b4c5a086000 rw-p 0000c000 08:01 540778                     /lib64/libnss_files-2.9.so
2b4c5a086000-2b4c5a08b000 r-xp 00000000 08:01 540768                     /lib64/libnss_dns-2.9.so
2b4c5a08b000-2b4c5a28a000 ---p 00005000 08:01 540768                     /lib64/libnss_dns-2.9.Abort


Expected results:

No crash.

Additional info:
Comment 1 J Robinson 2009-01-06 11:30:19 EST
Oh, this is from: 
nagios-plugins-ntp-1.4.13-11.fc10.x86_64
Comment 2 Matthew Kent 2009-02-05 00:49:31 EST
+1, seeing this here.

Ubuntu has the same issue, patches included, here https://bugs.launchpad.net/ubuntu/+source/nagios-plugins/+bug/291265

Confirmed that rolling the patch into the existing rpm fixes the issue.

Bug is fixed upstream, but they haven't released yet.
Comment 3 Giles Westwood 2009-07-21 10:51:57 EDT
I rolled a package from a upstream snapshot and it does fix the issue.
Comment 4 Bug Zapper 2009-11-18 04:27:22 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 02:31:08 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Peter Lemenkov 2010-09-12 03:07:58 EDT
Fixed in

nagios-plugins-1.4.14-2.el4
nagios-plugins-1.4.14-2.el5
nagios-plugins-1.4.14-2.fc12
nagios-plugins-1.4.14-2.fc13

Note You need to log in before you can comment on or make changes to this bug.